Bug 441531 - fhpd hangs when typing <tab> after break command
fhpd hangs when typing <tab> after break command
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Eric Bachalo
Len DiMaggio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 12:11 EDT by Petr Muller
Modified: 2016-09-19 22:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 04:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2008-04-08 12:11:33 EDT
Description of problem:
fhpd hangs or after you type break and use <tab> key. It happens only when you 
have a binary or core file loaded.

Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.03.19.rh1-1.el5

How reproducible:
always

Steps to Reproduce:
1. fhpd /bin/true, or sleep 30 & kill -SIGSEGV $1 ; fhpd core.$! `which true`
2. type 'break ' and push <tab> button
3. wait till the end of the world 
  
Actual results:
fhpd hangs, it reacts (breaks line) on ctrl-c, but only way to terminate it 
seems to kill it.

Expected results:
dunno exactly. but definitely not hang. gdb shows possible break symbols here.

Note You need to log in before you can comment on or make changes to this bug.